<?php
/**
 * Alpha Health Coach: Block Patterns
 *
 * @since Alpha Health Coach 1.0
 */

function alpha_health_coach_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'alpha-health-coach' => array( 'label' => __( 'Alpha Health Coach', 'alpha-health-coach' ) )
	);
	$block_pattern_categories = apply_filters( 'alpha_health_coach_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'alpha_health_coach_register_block_patterns', 9 );